SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::Table::ColumnDescriptor Struct Reference

`#include <slikenet/DS_Table.h>`

## Public Member Functions

| ColumnDescriptor ()
| ~ColumnDescriptor ()
| ColumnDescriptor (const char cn[_TABLE_MAX_COLUMN_NAME_LENGTH], ColumnType ct)

## Public Attributes

char | columnName [_TABLE_MAX_COLUMN_NAME_LENGTH]
ColumnType | columnType

## Detailed Description

Stores the name and type of the column

Definition at line 114 of file DS_Table.h.

## Constructor & Destructor Documentation

Table::ColumnDescriptor::ColumnDescriptor | ( |  | ) |

Definition at line 252 of file DS_Table.cpp.

Table::ColumnDescriptor::~ColumnDescriptor | ( |  | ) |

Definition at line 256 of file DS_Table.cpp.

Table::ColumnDescriptor::ColumnDescriptor | ( | const char | cn[_TABLE_MAX_COLUMN_NAME_LENGTH],
|  | ColumnType | ct
| ) |  |

Definition at line 260 of file DS_Table.cpp.

## Member Data Documentation

char DataStructures::Table::ColumnDescriptor::columnName[_TABLE_MAX_COLUMN_NAME_LENGTH]

Definition at line 120 of file DS_Table.h.

ColumnType DataStructures::Table::ColumnDescriptor::columnType

Definition at line 121 of file DS_Table.h.

The documentation for this struct was generated from the following files:

- Source/include/slikenet/DS_Table.h
- Source/src/DS_Table.cpp